Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class Tags

    java.lang.Object
      org.openxri.xml.Tags

    public class Tags

extends java.lang.Object

This class contains constants found in the XML during XRI resolution

Author:
  =chetan

Field Summary
`static java.lang.String` | `ATTR_APPEND`
`static java.lang.String` | `ATTR_CEID`
`static java.lang.String` | `ATTR_CID`
`static java.lang.String` | `ATTR_CODE`
`static java.lang.String` | `ATTR_ID_CAP`
`static java.lang.String` | `ATTR_ID_LOW`
`static java.lang.String` | `ATTR_IDREF`
`static java.lang.String` | `ATTR_ISSUEINSTANT`
`static java.lang.String` | `ATTR_NAME`
`static java.lang.String` | `ATTR_NAMEQUALIFIER`
`static java.lang.String` | `ATTR_NOTBEFORE`
`static java.lang.String` | `ATTR_NOTONORAFTER`
`static java.lang.String` | `ATTR_PRIORITY`
`static java.lang.String` | `ATTR_REDIRECT`
`static java.lang.String` | `ATTR_REF`
`static java.lang.String` | `ATTR_VERSION`
`static java.lang.String` | `ATTR_XMLNS`
`static java.lang.String` | `ATTR_XRD_VERSION`
`static java.lang.String` | `CONTENT_TYPE_URILIST`
`static java.lang.String` | `CONTENT_TYPE_XRD`
`static java.lang.String` | `CONTENT_TYPE_XRDS`
`static java.lang.String` | `HEADER_ACCEPT`
`static java.lang.String` | `HEADER_UA`
`static java.lang.String` | `NS_SAML`
`static java.lang.String` | `NS_XML`
`static java.lang.String` | `NS_XMLDSIG`
`static java.lang.String` | `NS_XMLNS`
`static java.lang.String` | `NS_XRD_V2`
`static java.lang.String` | `NS_XRDS`
`static java.lang.String` | `SERVICE_AUTH_RES` name space constants & meta for xri service resolution section 2.1.2 of 18th March2006 V2.0 wd10,XRI resolution document.
`static java.lang.String` | `TAG_ASSERTION`
`static java.lang.String` | `TAG_ATTRIBUTE`
`static java.lang.String` | `TAG_ATTRIBUTESTATEMENT`
`static java.lang.String` | `TAG_ATTRIBUTEVALUE`
`static java.lang.String` | `TAG_CANONICALEQUIVID`
`static java.lang.String` | `TAG_CANONICALID`
`static java.lang.String` | `TAG_CONDITIONS`
`static java.lang.String` | `TAG_EQUIVID`
`static java.lang.String` | `TAG_EXPIRES`
`static java.lang.String` | `TAG_ISSUER`
`static java.lang.String` | `TAG_KEYINFO`
`static java.lang.String` | `TAG_LOCALID`
`static java.lang.String` | `TAG_MEDIATYPE`
`static java.lang.String` | `TAG_NAMEID`
`static java.lang.String` | `TAG_PATH`
`static java.lang.String` | `TAG_PROVIDERID`
`static java.lang.String` | `TAG_QUERY`
`static java.lang.String` | `TAG_REDIRECT`
`static java.lang.String` | `TAG_REF`
`static java.lang.String` | `TAG_SERVERSTATUS`
`static java.lang.String` | `TAG_SERVICE`
`static java.lang.String` | `TAG_SIGNATURE`
`static java.lang.String` | `TAG_STATUS`
`static java.lang.String` | `TAG_SUBJECT`
`static java.lang.String` | `TAG_TYPE`
`static java.lang.String` | `TAG_URI`
`static java.lang.String` | `TAG_XRD`
`static java.lang.String` | `TAG_XRDS`
`static java.lang.String` | `XMLNS_NS_SAML`
`static java.lang.String` | `XMLNS_XRDS`

Constructor Summary
`Tags()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_AUTH_RES

    public static final java.lang.String SERVICE_AUTH_RES

  name space constants & meta for xri service resolution section 2.1.2 of 18th March2006 V2.0 wd10,XRI resolution document.

  See Also:
    Constant Field Values

### NS_XML

    public static final java.lang.String NS_XML

See Also:
  Constant Field Values

### NS_XMLNS

    public static final java.lang.String NS_XMLNS

See Also:
  Constant Field Values

### TAG_QUERY

    public static final java.lang.String TAG_QUERY

See Also:
  Constant Field Values

### TAG_STATUS

    public static final java.lang.String TAG_STATUS

See Also:
  Constant Field Values

### TAG_SERVERSTATUS

    public static final java.lang.String TAG_SERVERSTATUS

See Also:
  Constant Field Values

### ATTR_CODE

    public static final java.lang.String ATTR_CODE

See Also:
  Constant Field Values

### TAG_LOCALID

    public static final java.lang.String TAG_LOCALID

See Also:
  Constant Field Values

### TAG_CANONICALID

    public static final java.lang.String TAG_CANONICALID

See Also:
  Constant Field Values

### TAG_EQUIVID

    public static final java.lang.String TAG_EQUIVID

See Also:
  Constant Field Values

### TAG_CANONICALEQUIVID

    public static final java.lang.String TAG_CANONICALEQUIVID

See Also:
  Constant Field Values

### TAG_REF

    public static final java.lang.String TAG_REF

See Also:
  Constant Field Values

### TAG_REDIRECT

    public static final java.lang.String TAG_REDIRECT

See Also:
  Constant Field Values

### TAG_EXPIRES

    public static final java.lang.String TAG_EXPIRES

See Also:
  Constant Field Values

### TAG_SERVICE

    public static final java.lang.String TAG_SERVICE

See Also:
  Constant Field Values

### TAG_URI

    public static final java.lang.String TAG_URI

See Also:
  Constant Field Values

### ATTR_PRIORITY

    public static final java.lang.String ATTR_PRIORITY

See Also:
  Constant Field Values

### ATTR_APPEND

    public static final java.lang.String ATTR_APPEND

See Also:
  Constant Field Values

### TAG_MEDIATYPE

    public static final java.lang.String TAG_MEDIATYPE

See Also:
  Constant Field Values

### TAG_PATH

    public static final java.lang.String TAG_PATH

See Also:
  Constant Field Values

### TAG_TYPE

    public static final java.lang.String TAG_TYPE

See Also:
  Constant Field Values

### TAG_PROVIDERID

    public static final java.lang.String TAG_PROVIDERID

See Also:
  Constant Field Values

### TAG_XRD

    public static final java.lang.String TAG_XRD

See Also:
  Constant Field Values

### ATTR_ID_LOW

    public static final java.lang.String ATTR_ID_LOW

See Also:
  Constant Field Values

### ATTR_ID_CAP

    public static final java.lang.String ATTR_ID_CAP

See Also:
  Constant Field Values

### ATTR_IDREF

    public static final java.lang.String ATTR_IDREF

See Also:
  Constant Field Values

### ATTR_XRD_VERSION

    public static final java.lang.String ATTR_XRD_VERSION

See Also:
  Constant Field Values

### TAG_XRDS

    public static final java.lang.String TAG_XRDS

See Also:
  Constant Field Values

### ATTR_CID

    public static final java.lang.String ATTR_CID

See Also:
  Constant Field Values

### ATTR_CEID

    public static final java.lang.String ATTR_CEID

See Also:
  Constant Field Values

### ATTR_XMLNS

    public static final java.lang.String ATTR_XMLNS

See Also:
  Constant Field Values

### NS_XRD_V2

    public static final java.lang.String NS_XRD_V2

See Also:
  Constant Field Values

### NS_XRDS

    public static final java.lang.String NS_XRDS

See Also:
  Constant Field Values

### ATTR_REF

    public static final java.lang.String ATTR_REF

See Also:
  Constant Field Values

### ATTR_REDIRECT

    public static final java.lang.String ATTR_REDIRECT

See Also:
  Constant Field Values

### XMLNS_XRDS

    public static final java.lang.String XMLNS_XRDS

See Also:
  Constant Field Values

### NS_SAML

    public static final java.lang.String NS_SAML

See Also:
  Constant Field Values

### XMLNS_NS_SAML

    public static final java.lang.String XMLNS_NS_SAML

See Also:
  Constant Field Values

### TAG_ASSERTION

    public static final java.lang.String TAG_ASSERTION

See Also:
  Constant Field Values

### TAG_ISSUER

    public static final java.lang.String TAG_ISSUER

See Also:
  Constant Field Values

### TAG_SUBJECT

    public static final java.lang.String TAG_SUBJECT

See Also:
  Constant Field Values

### TAG_CONDITIONS

    public static final java.lang.String TAG_CONDITIONS

See Also:
  Constant Field Values

### TAG_ATTRIBUTESTATEMENT

    public static final java.lang.String TAG_ATTRIBUTESTATEMENT

See Also:
  Constant Field Values

### TAG_ATTRIBUTE

    public static final java.lang.String TAG_ATTRIBUTE

See Also:
  Constant Field Values

### TAG_ATTRIBUTEVALUE

    public static final java.lang.String TAG_ATTRIBUTEVALUE

See Also:
  Constant Field Values

### TAG_NAMEID

    public static final java.lang.String TAG_NAMEID

See Also:
  Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

See Also:
  Constant Field Values

### ATTR_NAMEQUALIFIER

    public static final java.lang.String ATTR_NAMEQUALIFIER

See Also:
  Constant Field Values

### ATTR_NOTBEFORE

    public static final java.lang.String ATTR_NOTBEFORE

See Also:
  Constant Field Values

### ATTR_NOTONORAFTER

    public static final java.lang.String ATTR_NOTONORAFTER

See Also:
  Constant Field Values

### ATTR_ISSUEINSTANT

    public static final java.lang.String ATTR_ISSUEINSTANT

See Also:
  Constant Field Values

### ATTR_VERSION

    public static final java.lang.String ATTR_VERSION

See Also:
  Constant Field Values

### NS_XMLDSIG

    public static final java.lang.String NS_XMLDSIG

See Also:
  Constant Field Values

### TAG_KEYINFO

    public static final java.lang.String TAG_KEYINFO

See Also:
  Constant Field Values

### TAG_SIGNATURE

    public static final java.lang.String TAG_SIGNATURE

See Also:
  Constant Field Values

### CONTENT_TYPE_XRDS

    public static final java.lang.String CONTENT_TYPE_XRDS

See Also:
  Constant Field Values

### CONTENT_TYPE_XRD

    public static final java.lang.String CONTENT_TYPE_XRD

See Also:
  Constant Field Values

### CONTENT_TYPE_URILIST

    public static final java.lang.String CONTENT_TYPE_URILIST

See Also:
  Constant Field Values

### HEADER_ACCEPT

    public static final java.lang.String HEADER_ACCEPT

See Also:
  Constant Field Values

### HEADER_UA

    public static final java.lang.String HEADER_UA

See Also:
  Constant Field Values

Constructor Detail

### Tags

    public Tags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.